/***************************************************************************
 * qlocx_digio.h
 *
 *
 *
 *
 * Functional level: 1
 *
 * Prepared: Dirk Handzic
 *
 *
 * Rev	Date	Author	Ext int. (Y/N) 	Reason/description
 * 0.3  210112  DH      Y               qlocx_digio_InpPwrOn added
 * 0.2  201218  DH      Y               qlocx_digio_NTCPwrOn added
 * 0.1  201028  DH	Y	        Initial version
 *
 *
 * Digital I/O handler
 ***************************************************************************/

#ifndef qlocx_digio_def
#define qlocx_digio_def

#define MAX_OUTPUT 20
//Output definitions
#define OPEN_DOOR1      0
#define OPEN_DOOR2      1
#define OPEN_DOOR3      2
#define OPEN_DOOR4      3
#define OPEN_DOOR5      4
#define OPEN_DOOR6      5
#define OPEN_DOOR7      6
#define OPEN_DOOR8      7
#define OPEN_DOOR9      8
#define OPEN_DOOR10     9
#define OPEN_DOOR11     10
#define OPEN_DOOR12     11
#define OPEN_DOOR13     12
#define OPEN_DOOR14     13
#define OPEN_DOOR15     14
#define OPEN_DOOR16     15
#define CS_PWR1         16
#define CS_PWR2         17
#define EN_PWR          18
#define PWR_INP         19



//Input definitions
#define DOOR1_CLOSED    0
#define DOOR2_CLOSED    1
#define DOOR3_CLOSED    2
#define DOOR4_CLOSED    3
#define DOOR5_CLOSED    4
#define DOOR6_CLOSED    5
#define DOOR7_CLOSED    6
#define DOOR8_CLOSED    7
#define DOOR9_CLOSED    8
#define DOOR10_CLOSED   9
#define DOOR11_CLOSED   10
#define DOOR12_CLOSED   11
#define DOOR13_CLOSED   12
#define DOOR14_CLOSED   13
#define DOOR15_CLOSED   14
#define DOOR16_CLOSED   15




void	digio_Init(void);

// Activate output driver
void	digio_Out(uint8_t ch, uint8_t state);


// Read input
bool	digio_In(uint8_t ch);

// Enable MC33879
void  qlocx_digio_PwrOn(bool state);
// Enable NTC power
void  qlocx_digio_NTCPwrOn(bool state);

void  qlocx_digio_InpPwrOn(bool state);

uint8_t qlocx_digio_GetStatus(uint8_t index);
#endif

