/***************************************************************************
 * qlocx_door.h
 *
 *
 *
 *
 * Functional level: 1
 *
 * Prepared: Dirk Handzic
 *
 *
 * Rev	Date	Author	Ext int. (Y/N) 	Reason/description
 * 0.1  201028  DH	Y	        Initial version
 *
 *
 * Qlocx door handler
 ***************************************************************************/

#ifndef qlocx_door_def
#define qlocx_door_def




#ifdef __cplusplus
extern "C" {
#endif
enum DOOR_STATE{DOOR_IDLE, DOOR_LOGIC, DOOR_OPEN_DELAY, DOOR_OPEN, DOOR_CLOSE_DELAY};

typedef struct{ enum DOOR_STATE state;
                uint32_t  delay;
                uint32_t  duration;
                uint32_t  timestamp;
                uint32_t  logic_index;
                bool      is_open;
                } Q_DOOR;


int qlocx_init_door(void);

void  qlocx_test_door(Q_DOOR * test, uint8_t ch);

bool  qlocx_test_position(uint8_t ch);


#ifdef __cplusplus
}
#endif

#endif 
