/***************************************************************************
 * qlocx_cellular.c 				                                                
 *											
 *  
 *  
 *                                                                                      
 * Functional level: 1									
 *											
 * Prepared: Dirk Handzic							
 *																					
 * 											
 * Rev	Date	Author	Ext int. (Y/N) 	Reason/description
 * 0.1  210118  DH	Y        	Initial version
 *
 *  
 * Cellular Connectivity handler 										
 ***************************************************************************/





#include <stdio.h>
#include <string.h>
#include <zephyr.h>
#include <modem/lte_lc.h>
#include <logging/log.h>
#include "qlocx_cellular.h"
#include "lwm2m_object.h"
#include "lwm2m_engine.h"

#define NIBBLE_TO_BINARY_PATTERN "%c%c%c%c"
#define NIBBLE_TO_BINARY(byte)  \
  (byte & 0x08 ? '1' : '0'), \
  (byte & 0x04 ? '1' : '0'), \
  (byte & 0x02 ? '1' : '0'), \
  (byte & 0x01 ? '1' : '0') 


static char edrx[5] = {0};
static char ptw[5] = {0};
static struct k_work cellular_data_work;

LOG_MODULE_REGISTER(app_qlocx_cellular, CONFIG_APP_LOG_LEVEL);

static int edrx_write_cb(uint16_t obj_inst_id, uint16_t res_id, uint16_t res_inst_id,
			uint8_t *data, uint16_t data_len,
			bool last_block, size_t total_size)
{
uint8_t temp;
int ret = 0;
    
    temp = *data >> 4;
    sprintf(edrx, NIBBLE_TO_BINARY_PATTERN, NIBBLE_TO_BINARY(temp));
    lte_lc_edrx_param_set(edrx);
    temp = *data &0x0F;
    sprintf(ptw, NIBBLE_TO_BINARY_PATTERN, NIBBLE_TO_BINARY(temp));
    lte_lc_ptw_set(ptw);
    ret = lte_lc_edrx_req(true);

    return(0);
}

int qlocx_init_cellular(void)
{



	lwm2m_engine_register_post_write_callback("10/0/8", edrx_write_cb);
        //k_work_init(&cellular_data_work, cellular_data_update);
       
	return 0;
}


